// Code generated by sqlc. DO NOT EDIT.
// versions:
//   sqlc v1.26.0
// source: delete_failed_contract_distributions.sql

package queries

import (
	"context"
)

const deleteFailedContractDistributions = `-- name: DeleteFailedContractDistributions :exec

DELETE FROM
    contracts.failed_distributions
WHERE
    peer_id =  $1 AND content_hash = $2 AND action = $3
`

type DeleteFailedContractDistributionsParams struct {
	PeerID      string
	ContentHash string
	Action      ContractsDistributionAction
}

// Copyright © VNG Realisatie 2024
// Licensed under the EUPL
func (q *Queries) DeleteFailedContractDistributions(ctx context.Context, arg *DeleteFailedContractDistributionsParams) error {
	_, err := q.db.Exec(ctx, deleteFailedContractDistributions, arg.PeerID, arg.ContentHash, arg.Action)
	return err
}
